=== modified file 'src/dom/io/domstream.cpp'
--- src/dom/io/domstream.cpp	2011-10-27 04:55:51 +0000
+++ src/dom/io/domstream.cpp	2012-02-09 05:49:42 +0000
@@ -236,6 +236,8 @@
                 outs.writeString("&quot;");
             else if (ch == '\'')
                 outs.writeString("&apos;");
+            else if (ch == '\n')
+                outs.writeString("&#xA;");
             else
                 outs.put(ch);
             }

=== modified file 'src/dom/lsimpl.cpp'
--- src/dom/lsimpl.cpp	2011-10-27 04:55:51 +0000
+++ src/dom/lsimpl.cpp	2012-02-09 06:00:36 +0000
@@ -305,6 +305,8 @@
             outbuf.append("&quot;");
         else if (ch == '\'')
             outbuf.append("&apos;");
+        else if (ch == '\n')
+            outbuf.append("&#xA;");
         else
             outbuf.push_back(ch);
         }

=== modified file 'src/dom/xmlreader.cpp'
--- src/dom/xmlreader.cpp	2011-12-04 10:10:12 +0000
+++ src/dom/xmlreader.cpp	2012-02-09 05:18:18 +0000
@@ -62,6 +62,7 @@
     { "&gt;"   , 4 , ">"  },
     { "&apos;" , 6 , "'"  },
     { "&quot;" , 6 , "\"" },
+    { "&#xA;"  , 5 , "\n" },
     { NULL     , 0 , "\0" }
 };
 

=== modified file 'src/xml/quote.cpp'
--- src/xml/quote.cpp	2011-12-08 11:53:54 +0000
+++ src/xml/quote.cpp	2012-02-09 06:28:51 +0000
@@ -28,6 +28,7 @@
             case '&': ret += sizeof("&amp;") - 1; break;
             case '<': ret += sizeof("&lt;") - 1; break;
             case '>': ret += sizeof("&gt;") - 1; break;
+            case '\n': ret += sizeof("&#xA;") - 1; break;
             default: ++ret; break;
         }
     }
@@ -54,6 +55,7 @@
             case '&': COPY_LIT("&amp;"); break;
             case '<': COPY_LIT("&lt;"); break;
             case '>': COPY_LIT("&gt;"); break;
+            case '\n': COPY_LIT("&#xA;"); break;
             default: *dest++ = *src; break;
         }
     }

=== modified file 'src/xml/repr-io.cpp'
--- src/xml/repr-io.cpp	2011-12-04 10:10:12 +0000
+++ src/xml/repr-io.cpp	2012-02-09 06:29:02 +0000
@@ -717,6 +717,7 @@
                 case '&': out.writeString( "&amp;" ); break;
                 case '<': out.writeString( "&lt;" ); break;
                 case '>': out.writeString( "&gt;" ); break;
+                case '\n': out.writeString( "&#xA;" ); break;
                 default: out.writeChar( *val ); break;
             }
         }

